// ICON
//
// ---------------------------------------------------------------
// Copyright (C) 2004-2024, DWD, MPI-M, DKRZ, KIT, ETH, MeteoSwiss
// Contact information: icon-model.org
//
// See AUTHORS.TXT for a list of authors
// See LICENSES/ for license information
// SPDX-License-Identifier: BSD-3-Clause
// ---------------------------------------------------------------
#pragma once

void get_indices_c_lib(const int i_startidx_in, const int i_endidx_in, const int nproma, 
    const int i_blk, const int i_startblk, const int i_endblk,
    int &i_startidx_out, int &i_endidx_out, const bool called_from_cpp=true);

void get_indices_e_lib(const int i_startidx_in, const int i_endidx_in, const int nproma, 
                        const int i_blk, const int i_startblk, const int i_endblk,
                        int &i_startidx_out, int &i_endidx_out, const bool called_from_cpp=true);

void get_indices_v_lib(const int i_startidx_in, const int i_endidx_in, const int nproma, 
                            const int i_blk, const int i_startblk, const int i_endblk,
                            int &i_startidx_out, int &i_endidx_out, const bool called_from_cpp=true);
    