// ICON
//
// ---------------------------------------------------------------
// Copyright (C) 2004-2024, DWD, MPI-M, DKRZ, KIT, ETH, MeteoSwiss
// Contact information: icon-model.org
//
// See AUTHORS.TXT for a list of authors
// See LICENSES/ for license information
// SPDX-License-Identifier: BSD-3-Clause
// ---------------------------------------------------------------

#include <vector>
#include <iostream>
#include <chrono> // For timing
#include <Kokkos_Core.hpp>

template <typename T>
void tdma_solver_vec(const T* a, const T* b, const T* c, const T* d,
                              int slev, int elev, int startidx, int endidx,
                              int nrows, int ncols, T* varout);